#include "CameraComponents.h"

auto Hooks::CameraComponents::callback_update(CameraComponent* _this, void* a2, void* a3) -> void {
	glm::vec4 angle = _this->getAngles();

	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onCameraComponentUpdate(&angle);
	}

	_this->setAngles(angle);

	return cameracomponent_update(_this, a2, a3);
}
